Reaction.h File Reference
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/Substruct/SubstructMatch.h>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | RDKit::ChemicalReactionException
| used to indicate an error in the chemical reaction engine More...
class | RDKit::ChemicalReaction
| This is a class for storing and applying general chemical reactions. More...

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDDepict

## Functions

bool | RDKit::isMoleculeReactantOfReaction (const ChemicalReaction &rxn, const ROMol &mol, unsigned int &which)
bool | RDKit::isMoleculeReactantOfReaction (const ChemicalReaction &rxn, const ROMol &mol)
bool | RDKit::isMoleculeProductOfReaction (const ChemicalReaction &rxn, const ROMol &mol, unsigned int &which)
bool | RDKit::isMoleculeProductOfReaction (const ChemicalReaction &rxn, const ROMol &mol)
bool | RDKit::isMoleculeAgentOfReaction (const ChemicalReaction &rxn, const ROMol &mol, unsigned int &which)
bool | RDKit::isMoleculeAgentOfReaction (const ChemicalReaction &rxn, const ROMol &mol)
VECT_INT_VECT | RDKit::getReactingAtoms (const ChemicalReaction &rxn, bool mappedAtomsOnly=false)
void | RDKit::addRecursiveQueriesToReaction (ChemicalReaction &rxn, const std::map< std::string, ROMOL_SPTR > &queries, const std::string &propName, std::vector< std::vector< std::pair< unsigned int, std::string > > > *reactantLabels=NULL)
| add the recursive queries to the reactants of a reaction More...
void | RDDepict::compute2DCoordsForReaction (RDKit::ChemicalReaction &rxn, double spacing=2.0, bool updateProps=true, bool canonOrient=false, unsigned int nFlipsPerSample=0, unsigned int nSamples=0, int sampleSeed=0, bool permuteDeg4Nodes=false)
| Generate 2D coordinates (a depiction) for a reaction. More...